'use strict';
const fs = require("fs");
const path = require("path");

module.exports = (configPath)=>{
	return new Promise((res, rej)=>{
		const configs = {};
		
		fs.readdir(configPath, (err, files)=>{
			if(err) return rej(err);
			files = files.filter(f=>f.endsWith(".json")).map(f=>f.split(".json")[0]);
			files.forEach(f=>{
				try {
					configs[f] = JSON.parse(fs.readFileSync(path.join(configPath, f+".json")));
				} catch (err) {
					return rej(err);
				}
			});
			return res(configs);
		});
	});
}